summaryrefslogtreecommitdiff
path: root/eclass/vala.eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2023-01-03 02:25:09 +0000
committerV3n3RiX <venerix@koprulu.sector>2023-01-03 02:25:09 +0000
commit384d032fe7e048bb10cc9bc9881835c92d7e104c (patch)
tree59b969fdecd674b649820312bfa0b0f6043c25a0 /eclass/vala.eclass
parent7a13078cb414752df1133d1767cc29260dc60fda (diff)
gentoo auto-resync : 03:01:2023 - 02:25:09
Diffstat (limited to 'eclass/vala.eclass')
-rw-r--r--eclass/vala.eclass19
1 files changed, 7 insertions, 12 deletions
diff --git a/eclass/vala.eclass b/eclass/vala.eclass
index acdf958191eb..20bf00ebd8bc 100644
--- a/eclass/vala.eclass
+++ b/eclass/vala.eclass
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: vala.eclass
@@ -6,7 +6,7 @@
# gnome@gentoo.org
# @AUTHOR:
# Alexandre Rostovtsev <tetromino@gentoo.org>
-# @SUPPORTED_EAPIS: 6 7 8
+# @SUPPORTED_EAPIS: 7 8
# @BLURB: Sets up the environment for using a specific version of vala.
# @DESCRIPTION:
# This eclass sets up commonly used environment variables for using a specific
@@ -15,8 +15,7 @@
# executables, pkgconfig files, etc., which Gentoo does not provide.
case ${EAPI} in
- 6|7) inherit eutils multilib ;;
- 8) ;;
+ 7|8) ;;
*) die "${ECLASS}: EAPI ${EAPI:-0} not supported" ;;
esac
@@ -99,13 +98,11 @@ vala_depend() {
# VALA_MAX_API_VERSION, VALA_MIN_API_VERSION, and VALA_USE_DEPEND.
vala_best_api_version() {
local u v
- local hv_opt="-b"
- [[ ${EAPI} == 6 ]] && hv_opt=""
u=$(_vala_use_depend)
for v in $(vala_api_versions); do
- has_version ${hv_opt} "dev-lang/vala:${v}${u}" && echo "${v}" && return
+ has_version -b "dev-lang/vala:${v}${u}" && echo "${v}" && return
done
}
@@ -121,8 +118,6 @@ vala_best_api_version() {
# version is not available.
vala_setup() {
local p d valafoo version ignore_use
- local hv_opt="-b"
- [[ ${EAPI} == 6 ]] && hv_opt=""
while [[ $1 ]]; do
case $1 in
@@ -141,7 +136,7 @@ vala_setup() {
fi
if [[ ${version} ]]; then
- has_version ${hv_opt} "dev-lang/vala:${version}" || die "No installed vala:${version}"
+ has_version -b "dev-lang/vala:${version}" || die "No installed vala:${version}"
else
version=$(vala_best_api_version)
[[ ${version} ]] || die "No installed vala in $(vala_depend)"
@@ -178,8 +173,8 @@ vala_setup() {
# @FUNCTION: vala_src_prepare
# @DESCRIPTION:
-# For backwards compatibility in EAPIs 6 and 7. Calls vala_setup.
-if [[ ${EAPI} == [67] ]]; then
+# For backwards compatibility in EAPI 7. Calls vala_setup.
+if [[ ${EAPI} == 7 ]]; then
vala_src_prepare() { vala_setup "$@"; }
fi